Skip to content

deployment_cloud_sql_instance_resize

Resize the managed Postgres (Cloud SQL) instance to a different tier (CPU/RAM).

Tool

deployment_cloud_sql_instance_resize

Resize the managed Postgres (Cloud SQL) instance to a different tier (CPU/RAM).

Resize the managed Postgres (Cloud SQL) instance to a different tier (CPU/RAM).

Behavior

HTTP
PATCH /deployment/cloud-sql/instances/:instanceId/resize

Arguments

Name
Type
Required
Description
tier
string
•
No description in the catalog.
instanceId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
name
string
•
tier
string
•
label
string
•
region
string
•
status
string
•
createdAt
string
•
pgVersion
string
•
privateIp
string
•
productId
string
•
updatedAt
string
•
pitrEnabled
boolean
•
backupsEnabled
boolean
•
connectionName
string
•
lastErrorMessage
string
•
backupConfigObservedAt
string
•

Try it

Resize the managed Postgres (Cloud SQL) instance to a different tier (CPU/RAM).

When to use

Resize the managed Postgres (Cloud SQL) instance to a different tier (CPU/RAM).

Example

Ask your agent something like this:

Resize the managed Postgres (Cloud SQL) instance to a different tier (CPU/RAM).

The agent will invoke deployment_cloud_sql_instance_resize with these arguments:

{
  "tier": "<tier>",
  "instanceId": "<instanceId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select